Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.maintenance
Class ScopeCode

    Object
      CodeList<ScopeCode>
          ScopeCode

All Implemented Interfaces:
  Serializable, Comparable<ScopeCode>

    @UML(identifier="MD_ScopeCode",
         specification=ISO_19115)
    public final class ScopeCode

extends CodeList<ScopeCode>

Class of information to which the referencing entity applies.

Since:
  GeoAPI 2.0
See Also:
  `Scope`, Serialized Form

Field Summary
`static ScopeCode` | `ATTRIBUTE` Information applies to the attribute value.
`static ScopeCode` | `ATTRIBUTE_TYPE` Information applies to the characteristic of a feature.
`static ScopeCode` | `COLLECTION_HARDWARE` Information applies to the collection hardware class.
`static ScopeCode` | `COLLECTION_SESSION` Information applies to the collection session.
`static ScopeCode` | `DATASET` Information applies to the dataset.
`static ScopeCode` | `DIMENSION_GROUP` Information applies to a dimension group.
`static ScopeCode` | `FEATURE` Information applies to a feature.
`static ScopeCode` | `FEATURE_TYPE` Information applies to a feature type.
`static ScopeCode` | `FIELD_SESSION` Information applies to a field session.
`static ScopeCode` | `MODEL` Information applies to a copy or imitation of an existing or hypothetical object.
`static ScopeCode` | `NON_GEOGRAPHIC_DATASET` information applies to non-geographic data;
`static ScopeCode` | `PROPERTY_TYPE` Information applies to a property type.
`static ScopeCode` | `SERIES` Information applies to the series.
`static ScopeCode` | `SERVICE` Information applies to a capability which a service provider entity makes available to a service user entity through a set of interfaces that define a behaviour, such as a use case.
`static ScopeCode` | `SOFTWARE` Information applies to a computer program or routine.
`static ScopeCode` | `TILE` Information applies to a copy or imitation of an existing or hypothetical object.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static ScopeCode` | `valueOf(String code)` Returns the scopecode that matches the given string, or returns a new one if none match it.
`static ScopeCode[]` | `values()` Returns the list of `ScopeCode`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE

    @UML(identifier="attribute",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode ATTRIBUTE

  Information applies to the attribute value.

### ATTRIBUTE_TYPE

    @UML(identifier="attributeType",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode ATTRIBUTE_TYPE

  Information applies to the characteristic of a feature.

### COLLECTION_HARDWARE

    @UML(identifier="collectionHardware",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode COLLECTION_HARDWARE

  Information applies to the collection hardware class.

### COLLECTION_SESSION

    @UML(identifier="collectionSession",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode COLLECTION_SESSION

  Information applies to the collection session.

### DATASET

    @UML(identifier="dataset",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode DATASET

  Information applies to the dataset.

### SERIES

    @UML(identifier="series",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode SERIES

  Information applies to the series. Note: "series" applies to any `DS_Aggregate`.

### NON_GEOGRAPHIC_DATASET

    @UML(identifier="nonGeographicDataset",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode NON_GEOGRAPHIC_DATASET

  information applies to non-geographic data;

### DIMENSION_GROUP

    @UML(identifier="dimensionGroup",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode DIMENSION_GROUP

  Information applies to a dimension group.

### FEATURE

    @UML(identifier="feature",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode FEATURE

  Information applies to a feature.

### FEATURE_TYPE

    @UML(identifier="featureType",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode FEATURE_TYPE

  Information applies to a feature type.

### PROPERTY_TYPE

    @UML(identifier="propertyType",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode PROPERTY_TYPE

  Information applies to a property type.

### FIELD_SESSION

    @UML(identifier="fieldSession",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode FIELD_SESSION

  Information applies to a field session.

### SOFTWARE

    @UML(identifier="software",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode SOFTWARE

  Information applies to a computer program or routine.

### SERVICE

    @UML(identifier="service",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode SERVICE

  Information applies to a capability which a service provider entity makes available to a service user entity through a set of interfaces that define a behaviour, such as a use case.

### MODEL

    @UML(identifier="model",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode MODEL

  Information applies to a copy or imitation of an existing or hypothetical object.

### TILE

    @UML(identifier="tile",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ScopeCode TILE

  Information applies to a copy or imitation of an existing or hypothetical object.

  Since:
    GeoAPI 2.1

Method Detail

### values

    public static ScopeCode[] values()

  Returns the list of `ScopeCode`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ScopeCode>`

### valueOf

    public static ScopeCode valueOf(String code)

  Returns the scopecode that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.